# Example_13b Calculating a 3d pipe Voronoi mesh

fem
fem def para;r;pipe3d;example # Redefine parameters for Voronoi arrays

fem def coord 3,1             # Define 3d rectangular Cartesian coordinates
fem def node;r;pipe3d;example # Define nodal points of pipe  
fem def base;r;pipe3d;example # Define 2d simplex basis functions
fem def elem;r;pipe3d;example # Define 2d simplex elements. The Voronoi mesh will be
                              # calculated from these elements
fem update delaunay           # Update the Delaunay triangulation, in case not Delaunay
fem def mesh;r;pipe3d;example # Read in the parameters for the Voronoi mesh. This will
                              # involve giving each node a type, either boundary (B), 
                              # internal boundary (IB) or internal (I)

