# Example_223 Fibre fitting test problem.
 
fem                                  #Set the FEM environment
fem define node;r;fibrefit;example   #Define the nodes for the mesh
fem define base;r;;example           #Define a bilinear basis function
fem define element;r;;example        #Define the elements for the mesh
fem define fibre;r;;example          #Read in the (initially) zero fibre
#                                    !  field
fem define element;r;;example fibre  #Define the elements for the fibres
fem define data;r;;example fibre     #Read in the data points with the
#                                    !  measured data angle
fem list data fibre                  #List the data
fem define window;c                  #Calculate the window size
fem draw line                        #Draw the mesh lines
fem draw node                        #Draw the nodes
fem draw fibre                       #Draw the initial fibre field
fem draw data                        #Draw the data locations
fem define xi;c internal             #Calculate the data pt Xi positions
fem define fit;r;;example fibre      #Define the fibre fitting problem
fem list node                        #List the nodes and the initial
#                                    !  fibre angles
fem fit                              #Fit the fibre angles to measured
#                                    !  fibre data.
fem list node                        #List the fitted fibre angles
fem draw fibre                       #Draw the fitted fibre field
fem draw data fibre rgb=red          #Draw the measured fibre field
 
