
#
# Define the host and slave meshes
#
fem def node;r;host;example  reg $HOSTREG
fem def elem;r;host;example  reg $HOSTREG
fem def node;r;slave;example reg $SLAVEREG
fem def elem;r;slave;example reg $SLAVEREG

#
# Export the original host and slave meshes
#
fem export node;host as host reg $HOSTREG
fem export elem;host as host reg $HOSTREG
fem export node;slave_orig as slave_orig reg $SLAVEREG
fem export elem;slave_orig as slave_orig reg $SLAVEREG

#
# Deform the slave mesh according to the host mesh xi's
#
fem def xi;r;slave;example node
fem up mesh position of 2 in 1
fem export node;slave_cust as slave_cust reg $SLAVEREG offset 100
fem export elem;slave_cust as slave_cust reg $SLAVEREG offset_elem 100


fem li node reg all

