if( !defined $example ) {
  $example = ".";
}

fem define para;r;$example/test

# Define the geometry
# -------------------
fem define coor 3,1
fem define node;r;$example/test
fem define base;r;$example/test
fem define elem;r;$example/test

# Define the problem
# ------------------
fem define equa;r;$example/test
fem define mate;r;$example/test
fem define init;r;$example/test
fem define solv;r;$example/test

fem solve

# Export the geometry
# -------------------
fem export node;test as test
fem export elem;test as test

# Export the solution (A) field
# -----------------------------
fem export node;field as test field
fem export elem;field as test field

# Export the material parameters
# ------------------------------
fem export prop;Jx as test index 1 name Jx
fem export prop;Jy as test index 2 name Jy
fem export prop;Jz as test index 3 name Jz
fem export prop;mu0 as test index 4 name mu0
fem export prop;muR as test index 5 name muR




