#Circular BEM test problem. Solves Laplaces equation on a 16 node circle
#of radius 1 with cubic Hermite basis functions. Solution is checked 
#against the analytic solution for a Dirichlet problem. 

fem define base;r;bemcircle;example   #Define a cubic Hermite BEM basis
fem define mesh;r;;example             #Define a circlar mesh with 16
#                                     !  nodes and 16 elements
fem define equa;r;;example             #Define a standard Laplace 
#                                     !  equation for the BEM
fem define mate;r;;example             #Define materials
fem define anal;r;;example             #Calculate the value of the dependent
#                                     !  variable at each of the nodes 
#                                     !  according to x^2+2xy-y^2
fem define init;g                     #Generate the initial conditions 
#                                     !  as per the analytic equation
fem define solv;r;;example             #Define the solve parameters
fem solve                             #Solve the problem

