#Example_336 Pollution Dispersion in an Open Harbour
#
fem define node;r;harbour;example  #Reads in grid of nodes
fem define base;r;;example         #Defines bilinear basis functions
fem define elem;r;;example         #Defines elements
fem define win;c                   #Calculates window size
fem draw line                      #Draws the lines of the elements
fem define equa;r;;example         #Define TIME INTEGRATION analysis of the ADVECTION DIFFUSION
#				   !equation. The solution is defined by GALERKIN FE's and a 
#				   !LINEAR analysis is used. Default all other options
fem define mate;r;;example         #Defines the material properties. Set constant and linear 
#				   !source terms to 0. The storage coefficient is set to 1.
#	 		 	   !Diffusion is both directions is set to 1 and the mass flow
#				   !is 0 in both directions.
fem de init;r;;example             #
fem de solve;r;;example            #Defines the solver with no solution output
fem solve                          #
fem dr field                       #Draws a field of the pollutant
fem define init;w;harbour-sol      #Save solution as it gets overwritten by
fem display history;harbour        #Displays the history of the nodes

# export geometry and field to cmgui
fem define init;r;harbour-sol      #Recover saved solution
fem export no;harbour as harbour
fem export elem;harbour as harbour
fem export no;pollution field as pollution
fem export elem;pollution field as pollution 
