#This example tests plane stress BEM on a rectangular plate subject to
#a uniform tension.
fem                            #Set up the FEM environment
fem define coord;r;rectangle_force;example #Set up 2D r.c.
fem define bas;r;;example          #Linear elements
fem define node;r;;example         #Rectangular domain
fem define elements;r;;example     #Elements around the boundary
fem define window;c            #Calculate the size of the window
fem draw nodes                 #Show the nodes
fem draw lines                 #Show the lines
fem define fibre;d             #Default fibre angle
fem define element;r;;example fibre
fem define equation;r;;example     #Define a static linear elastic problem with
#                              !  plane strain elements
fem define material;r;;example     #Define the material parameters. Young's modulus
#                              !  is 210 GPa and Poison's ratio is 0.3
fem define initial;r;;example      #Define the boundary conditions. Set forces
#                              !  for all nodes except those on the base.
fem define solve;r;;example        #Define the solver used.
fem solve                      #Solves the problem
fem draw line deformed dotted scale 4 #Draws (scaled) deformed body
#                              !with dotted lines
fem list node solution         #List the nodal displacements
fem list node reaction         #List the nodal reactions (forces)
fem draw reaction scale 0.1   #Draw (scaled) reaction (force) vectors
