#Example_527  10% uniaxial extension of a unit cube with fibers (90 degrees)
 
fem
fem define coordinates;r;unifib90;example #Defines rectangular cartesian.
fem define node;r;;example          #Defines 8 nodes.
fem define base;r;;example	        #Defines 3 basis functions.
fem define element;r;;example       #Defines 1 element.
fem define fibre;r;;example         #Define fibre orientations in the 1-2
#                               !  plane for all 8 nodes in DEGREES wrt
#                               !  Xi 1 direction as 90 degrees.
fem define element;r;;example fibre
fem define window
fem draw lines
fem draw fibres
fem define equation;r;;example      #Defines equation information.
fem define material;r;;example      #Defines material information.
fem define initial;r;;example       #Defines initial conditions.
fem define solve;r;;example         #Defines solution information.
fem solve step 1 error 1.0D-10  #Solve the problem.
fem draw line deformed dotted
fem list strain at 1 ref        #List strain information wrt reference
#                               !  coordinates at 1st gauss point.
fem list stress at 1 ref        #List stress information wrt reference
#                               !  coordinates at 1st gauss point.
 
              #For this 90 degree orientation, the stress in the
              #  X-direction is the lowest out of all 4 directions. The
              #  amount of shortening in the Y-direction (fibre
              #  direction) is not the same as in the Z-direction
              #  because the stiffnesses are different.
