#Example_528  Shear of unit cube in xz-plane; first principal stress fitted 
#             and exported to cmgui

#            Note that principal stress is fitted and exported 
#              to frontend.

fem
fem define coordinate;r;sheared_cube;example #Defines 3D rectangular
#                              !  cartesian coordinates.
fem define node;r;;example         #Defines 8 nodes in a unit cube.
fem define base;r;;example         #Defines 6 basis functions: three 3D 
#                              !  and three 2D.
fem define element;r;;example      #Defines 1 element: x bilinear-cubic; 
#                              !  y,z trilinear.
fem define window;r;;example on 3  #Applied shear will be in xz plane
fem draw lines
fem define fibre;d             #  default fibre angle
fem define element;r;;example fibre
fem define equation;r;;example lock  #Defines 3D finite elasticity.
fem define material;r;;example     #Pole-zero.
fem define initial;r;;example      #Defines simple shear in xz plane.
fem define solve;r;;example                 
fem solve
fem draw line deformed dotted
fem update gauss stress principal #Principal stresses in YG gauss point
#                              !  array.
fem list gauss yg
fem update geometry from solution #Transfer deformed coordinates to 
#                              !  geometry. 
fem define field;r;;example        #Sets up one field component.
fem define element;r;;example field
fem define fit;r;;example gauss    #Gauss point fit.
fem fit                        #Fit first principal stress.
fem export element;sheared_cube #For use with cmgui.
fem export node;sheared_cube   #Note: nodes are in deformed position.
