set title "Stress strain relationship" 
set xlabel "Strain" 
set xrange [-0.5:0.9]
set ylabel "Stress (kPa)"
set yrange [-50:3200]
set tics in
set border 15

plot \
"axial.dat" using 1:2 title "axial" with lines 1, \
'-' using 1:2 title "pole" with lines 2
0.5 -5000
0.5 0
0.5 5000
e

pause -1 "\n\nHit the return key to see shear plot\n\n"

set xrange [-1:1.1]
set yrange [-550:550]
plot \
"shear.dat" using 1:2 title "shear" with lines 1, \
'-' using 1:2 title "pole" with lines 2
0.9 -400
0.9 0
0.9 400
e

pause -1
