fem define para;r;flow;example
fem reallocate
fem define coord;r;flow;example
fem define nodes;r;flow;example
fem define field;r;flow;example
fem define base;r;flow;example
fem define elements;r;flow;example
fem define elements;r;flow;example field        
fem define grid;r;flow;example coronary          
# generates the coronary grid geometry
fem update grid geometry                        
fem define equation;r;flow;example               
# flow in elastic tubes
fem list para nq                         
fem define material;r;flow;example               
# defines the material and fluid properties for the problem
fem update material field material 4 no_field 1; 
# updates unstressed radius (mat 4) from field variable 1
fem define time;r;flow;example                   
# defines boundary conditions
fem define initial;r;flow;example                 
# defines the inital conditions for fluid flow in the network
fem define solve;r;flow;example                   

$time_initial=0.00;
$time_final=0.004;
$time_step=0.0001;   
$write_out_period=0.0004;

fem export points;$time_initial grid as flow offset 0;  # exports initial soln
fem export grid;grid as flow offset_node 0 elastic_tube; 

for ($time=$time_initial;$time<$time_final;$time=$time+$write_out_period)      
{                                                                           
fem solve restart to $write_out_period delta_t $time_step;
fem export points;$time+$write_out_period grid as flow offset 0           
}                                                                           



