${lobe} = 'right_upper'
${off}=3500
${offt}=6000
${offd}=11000
${off_data}=0

fem def para;r;all_lobe
fem def region;r;all_lobe

fem def coord;r;all_host reg 1

fem def base;r;all_lobe_cubic reg 1,2

##################### HOST MESH ##################### 

fem def node;r;${lobe}_host reg 1
fem def elem;r;${lobe}_host reg 1

fem update nodes derivative 1 linear reg 1
fem update nodes derivative 2 linear reg 1
fem update nodes derivative 3 linear reg 1

fem export node;${lobe}_host as ${lobe}_host reg 1
fem export elem;${lobe}_host as ${lobe}_host reg 1

################### HOST MESH ######################

################### SLAVE MESH ##################### 

fem def coord;r;all_slave reg 2

fem def node;r;${lobe}_fitted reg 2
fem def elem;r;${lobe}_fitted reg 2

fem export node;${lobe}_fitted as ${lobe}_fitted offset $off reg 2
fem export elem;${lobe}_fitted as ${lobe}_fitted offset_node $off offset_elem $off reg 2

#fem def xi;c nodes contain of 2 in 1 loose_tolerance
#fem def xi;w;${lobe} nodes contain of 2 in 1

################### SLAVE MESH #################### 

############# HOST MESH TRANSFORMATION ############

fem update field from geometry reg 1

#fem def data;r;${lobe}_landmark reg 1 
#fem def xi;c contain reg 1     
#fem def xi;w;${lobe}_landmark reg 1

fem def data;r;${lobe}_target reg 1       
fem def xi;r;${lobe}_landmark reg 1

fem list data error reg 1  

fem def fit;r;${lobe} geometry reg 1
fem fit reg 1

############ HOST MESH TRANSFORMATION ############

############### SLAVE MESH UPDATE ################

fem def xi;r;${lobe} nodes contain of 2 in 1
fem update mesh position fit of 2 in 1
fem update scale_factor normalise reg 2

fem export node;${lobe}_fitted_transformed as ${lobe}_fitted_transformed offset $offt reg 2
fem export elem;${lobe}_fitted_transformed as ${lobe}_fitted_transformed offset_node $offt offset_elem $offt reg 2

fem def node;w;${lobe}_fitted_transformed
fem def elem;w;${lobe}_fitted_transformed

################# SLAVE MESH UPDATE ##############

################ HOST MESH UPDATE ################

fem update node fit reg 1
fem list data error reg 1

fem export node;${lobe}_deformed_host as ${lobe}_deformed_host offset $offd reg 1
fem export elem;${lobe}_deformed_host as ${lobe}_deformed_host offset_node $offd offset_elem $offd reg 1

################ HOST MESH UPDATE ################








