#NB/ This file was used to reorder the arterial mesh. This renumbers all elements 
#to create an ordered tree whereby the element and node numbers increase distally.

$example='/xlv6/eng_bio/kbur030/cmiss/examples/9/98/982/9821/cmiss_input'

fem de param;r;$example/super;
fem de coor 3,1; 
fem de base;r;$example/super;

fem de node;r;$example/initial_arteries;
fem de elem;r;$example/initial_arteries;

fem update order start_elem 4;

#fem evaluate order;
#fem de mesh;c lung reduce order 6;

#fem export node;lll_arteries as lll_arteries;
#fem export elem;lll_arteries as lll_arteries;

#fem group elem all parent 4;
#fem export elem;upper as upper elem parent4;

#fem group elem all parent 5;
#fem export elem;lower as lower elem parent5;

#fem de node;w;$example/upper_lll_arteries;
#fem de elem;w;$example/upper_lll_arteries;

#fem export node;upper_lll_arteries as upper_lll_arteries;
#fem export elem;parent4 as parent4 elem parent4
#fem export elem;parent5 as parent5 elem parent5

fem de node;w;initial_arteries;
fem de elem;w;initial_arteries;
