# Example e32
# -----------
#


#----------------------------------------------------------#
#
# Forward problem with generic male torso with heart
# refined once in each xi direction and torso unrefined
# - (hearttorso05 model)
#
#----------------------------------------------------------#


# Controls
#

$FORMAT = "binary"
$RUNNUM = "05"


fem def para;r;torso$RUNNUM;example
fem def regi;r;two;example
fem def coor 3,1
fem def base;r;bicubic;example
fem def node;r;torso$RUNNUM;example reg all
fem def elem;r;torso$RUNNUM;example reg all



# Grouping specific nodes
#
fem group node 176      as FIXEDNODE
fem group node 153,406  as SURFENDS
fem group node 154..405 as SURFNORM
$COMPNODES = "1..37,153..406"



#
#----------------------------#
# Export geometry
#----------------------------#
#
fem export node;torso as torso reg all
fem export elem;skin  as skin  reg 1
fem export elem;heart as heart reg 2


#
#----------------------------#
# Setup equations
#----------------------------#
#
fem def equa;r;torso;example reg all 
fem def mate;r;torso;example reg all
fem def init;r;torso;example reg all
fem def sour;r;torso_scale;example reg 2
fem def coup;r;torso;example
fem def solv;r;torso;example coupled reg all
fem solve coupled

