$w=576;
$h=576;

gfx read node 0;
gfx read element vessel;


gfx create window 1 double_buffer;
gfx modify window 1 image scene default light_model default;
gfx modify window 1 image add_light default;
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 576 height 576;
gfx modify window 1 set current_pane 1;
gfx modify window 1 background colour 1 1 1 texture none;
gfx modify window 1 view parallel eye_point 112.866 -52.3162 -7.66618 interest_point 16.6774 11.9385 15.7154 up_vector -0.267122 -0.656562 0.705388 view_angle 38.5565 near_clipping_plane 1.05996 far_clipping_plane 378.794 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;
gfx modify window 1 overlay scene none;
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines antialias 8 fast_transparency blend_normal;


gfx create spectrum pressure linear extend_below extend_above white_to_red; 
gfx modify spectrum pressure minimum 12.0;
gfx modify spectrum pressure maximum 15.0;

gfx modify g_element vessel cylinders radius_scalar pressure scale_factor 0.25 select_on material default data pressure spectrum pressure selected_material default_selected;

gfx modify g_element vessel general circle_discretization 16;
gfx modify g_element vessel lines select_on invisible material default selected_material default_selected;
gfx modify window 1 set antialias 8;

# -------------------------- Creating still images --------------------------

$time_initial=0.0000;
$time_final=0.04;
$write_out_period=0.0001;
$eps=0.0001;
$image=0;

for ($time=$time_initial;$time<$time_final+$eps;$time=$time+$write_out_period)  
{
gfx read node $time; 
if ($image<10)
{
gfx print file 00${image}.sgi height $h width $w;
}
elsif (($image>9) && ($image<100))
{
gfx print file 0${image}.sgi height $h width $w;
}
else
{
gfx print file ${image}.sgi height $h width $w;
}
$image=$image+1;                      
}                                                                           

# ------------------------------ Making Movie -------------------------------

$image='000.sgi';
for ($a=1;$a<=int(($time_final-$time_initial+$eps)/$write_out_period);$a=$a+1)
{
if ($a<100)
{
$image=$image.' '.'00'.${a}.'.sgi';
} 
elsif (($a>99) && ($a<1000))
{
$image=$image.' '.'0'.${a}.'.sgi';
} 
else
{
$image=$image.' '.${a}.'.sgi';
} 
}

system "makemovie -o step.mov -f qt -c jpeg $image";
