#!/usr/bin/perl -w
#
# This is a perl script to count nodes in an ipnode file
#
# Usage:
#
# Created:
# 

use strict;
use File::Compare;
use File::Find;
use Getopt::Std;


sub update_file
{
        # Given the input filename this routine parses
        # the given file and counts the nodes
        my $input1 = shift;
        my $output = shift;
        my $line;
        my $derivative_line1 = " direction 3";
        my $derivative_line2 = " & 3";

        open(INPUT1, "<$input1") || die "Could not open file $input1: $!\n";
        open(OUTPUT, ">$output") || die "Could not open file $output: $!\n";
         
        while (defined($line = <INPUT1>))
        {
           my @fields = split (' ',$line);
					 my $last = $#fields;
					 
           if (($line =~ m|\Q$derivative_line1\E|))
           {
               $fields[$last]=0;
							 for (my $i=0;$i<=$#fields;$i++)
							 {                              
									 
									 print OUTPUT " ",$fields[$i];
							 }
							 print  OUTPUT "\n";
           }
           elsif (($line =~ m|\Q$derivative_line2\E|))
           {
               $fields[$last]=0;
							 for (my $i=0;$i<=$#fields;$i++)
							 {                              
									 
									 print OUTPUT " ",$fields[$i];
							 }
							 print  OUTPUT "\n"; 
           }
					 else
					 {
							 print OUTPUT $line;
					 }
        }

        close (INPUT1);
        close (OUTPUT);
}


update_file($ARGV[0],$ARGV[1])


