#Example_144: Reads all ipfiles for Auckland's rectangular Cartesian
#full anatomical model of the ventricles (geometry fibres and sheets). 
#Exports of node and element files to cmgui.

fem
fem define coord;r;rc3d           #3D rectangular Cartesian coordinates
fem define node;r;heart_rc_new           #99 nodes
fem define base;r;heart    
fem define element;r;heart        #60 tricubic-Hermite elements
fem define fibre;r;heart          #fibre angle: bilinear/cubic-Hermite
fem define element;r;heart fibre  #imbrication angle: zero everywhere 
                                          #sheet angle: linear/bicubic-Hermite
fem export nodes;heart as heart           #export nodes to cmgui
fem export elements;heart as heart        #export elements to cmgui
