# This procedure takes the fitted nodefiles for the endo and epi surfaces and
# merges them into one file.

if (!(-e "endo_fitted.ipnode") | !(-e "epi_fitted.ipnode"))
{
  die "Input-file(s) doesn't exist";
}


CORE::open(ENDO_FITTED_FID, "endo_fitted.ipnode") || die "Couldn't open endo_fitted.ipnode";  
CORE::open(ENDOEPI_FITTED_FID, ">endoepi_fitted.ipnode") || die "Couldn't open endoepi_fitted.ipnode";;
$boolFinished = 0;
while (($line = <ENDO_FITTED_FID>) && !($boolFinished))
{
  print ENDOEPI_FITTED_FID $line;
  if(grep(/ Node number \[   20\]:    20/, $line))
  {
    $boolFinished = 1;
  }
}
CORE::close(ENDO_FITTED_FID);
$boolFinished = 0;
$boolFoundNode = 0;
CORE::open(EPI_FITTED_FID, "epi_fitted.ipnode") || die "Couldn't open epi_fitted.ipnode";  
while (($line = <EPI_FITTED_FID>) && !($boolFoundNode))
{
  if(grep(/ Node number \[   20\]:    20/, $line))
  {
    $boolFoundNode = 1;
  }
}
print ENDOEPI_FITTED_FID $line; #For some funny reason I need this line here??
while (($line = <EPI_FITTED_FID>) && ($boolFoundNode))
{
  print ENDOEPI_FITTED_FID $line;
}
  
CORE::close(EPI_FITTED_FID);
CORE::close(ENDOEPI_FITTED_FID);
 
