#cmgui script to view fit

sub setupgroup {
  my $group = shift;
  my $material = shift;
  my $vis = shift;
  #my $glyph = shift;
		gfx modify g_element $group general clear circle_discretization 6 default_coordinate coordinates element_discretization "20*20*20" native_discretization none;
		gfx modify g_element $group lines select_on material default selected_material default_selected;
		#gfx modify g_element $group element_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected;
		gfx modify g_element $group element_points glyph point general size "1*1*1" centre 0,0,0 use_faces label cmiss_number cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected;
		gfx modify g_element $group cylinders constant_radius 0.3 select_on material default selected_material default_selected;
		gfx modify g_element $group node_points glyph sphere general size "3*3*3" centre 0,0,0 select_on material default selected_material default_selected;
		gfx modify g_element $group data_points glyph sphere general size "1*1*1" centre 0,0,0 select_on material $material selected_material default_selected;
		gfx modify g_element $group surfaces invisible select_on material $material selected_material default_selected render_shaded;
    gfx set vis $group $vis;
}

sub setuperrordata {
  my $dgroup = shift;
  my $vis = shift;
  gfx read data $dgroup;
  gfx modify g_element $dgroup general clear circle_discretization 6 default_coordinate coordinates element_discretization "4*4*4" native_discretization none;
  gfx modify g_element $dgroup lines select_on material default selected_material default_selected;
  gfx modify g_element $dgroup data_points glyph arrow_line general size "0*1*1" centre 0,0,0 orientation error scale_factors "1*0*0" select_on material default selected_material default_selected;
  gfx set vis $dgroup $vis;
}

# intial mesh

gfx read node twocube_initial;
gfx read elem twocube_initial;
setupgroup( "twocube_initial" , "white", "on");

# intial error
gfx read data twocube_initial_error
setuperrordata("twocube_initial_error", "on");

#fitted mesh

gfx read node twocube_fitted;
gfx read elem twocube_fitted;
setupgroup( "twocube_fitted" , "green", "off");

#fitted error

gfx read data twocube_fitted_error
setuperrordata("twocube_fitted_error", "on");

gfx create axes len 5
gfx draw axes

gfx cre win;
gfx edit scene;





