#Example_317 Steady state temperature distribution in a plate (see example_111).
#This example uses point fluxes to enter intial conditions.
# 
fem                                #Set the FEM environment
fem define parameters;r;quadratic;example #Reads parameters needed to define the plate

fem define coordinates;r;;example  #Reads in the coordinates used for the plate
fem define nodes;r;;example        #Reads in the nodes to define the plate
fem define bases;r;;example        #Defines a biquadratic basis function
fem define elements;r;;example     #Reads in elements from file
fem define wind;c                  #Calculates the graphic window size
fem draw lines                     #Makes the line segments visible
fem draw nodes                     #Makes the node numbers visible
fem define equation;r;;example     #Defines a STATIC analysis of LAPLACE's 
#                                  !equation (STANDARD) using GALERKIN 
#                                  !FINITE ELEMENTS with LINEAR ANALYSIS
fem define material;r;;example     #Define material properties (none)
fem define initial;r;;example      #Defines initial conditions
#                                  !Three sides are held at zero and the forth
#                                  !side has a uniform heat flux of 1
fem list init                      #list the initial conditions
fem define solve;r;;example        #Defines solver options, default all settings
fem sol                            #Solves the boundary value problem
fem draw field                     #This will draw colour temperature field
