#Example_3415 Multigrid colloc soln of div(kGradu)=d(u)/dt
#             on 16 elements using cubic_linear basis
 
fem de para;r;mg_curved16;example

fem de node;r;mg_curved16;example  #25 nodes
fem de base;r;;example             #cubic-lin + 9*9 pt extended basis
fem de elem;r;;example             #16 element
fem de fibr;r;;example
fem de elem;r;;example fibre
fem de grid;r;;example
fem update grid geom
fem update grid metric level 1
fem define equation;r;;example     #div(k.grad(u))=f
fem de window
fem dr lines
fem group grid external as bdry
fem define material;r;;example     #f=0, k11=1, k22=0.1
fem update grid material
fem de init;r;;example             #bdry pts =1
fem de solv;r;;example
fem dr grid level 5            #multigrid level 5 (coarsest grid)
fem dr grid level 4            #multigrid level 4
fem dr grid level 3            #multigrid level 3
fem dr grid level 2            #multigrid level 2
fem dr grid level 1            #multigrid level 1 (finest grid)
fem dr grid values             #shows initial field
sub solve
{
fem up grid time
fem solve
fem li grid YQ grid 719
fem dr grid values
}
solve                          #use anisotropic, dynamic, dt=.01
fem dr grid values             #shows computed field
fem dr scale
