#Example_411 A truss problem
 
fem                            #set up the FEM environment
fem define nodes;r;truss;example   #read the truss nodes
fem define window;c            #calculate the window size
fem define bases;r;;example        #defines a linear basis function
fem define elements;r;;example     #defines three elements
fem draw lines                 #make the line segments visible
fem draw nodes                 #make the node numbers visible
fem define fibre;d             #default fibre angle
fem define element;r;;example fibre
fem define equation;r;;example     #this is a static analysis using
#                              !  linear elasticity with truss
#                              !  elements.
fem define material;r;;example     #define the material parameters. Define
#                              !  an isotropic material with a Young's
#                              !  modulus of 10 GPa, and a cross-
#                              !  area of 5 cm^2
fem list material              #list the material parameters
fem define initial;r;;example      #define initial and boundary conditions
#                              !  for the problem.
fem draw nodes                 #make the node numbers visible and show
#                              !  fixed boundary conditions.
fem define solve;r;;example        #define the solver options
fem solve                      #solves the boundary value problem
fem draw line deformed dotted scale 0.05 #draws (scaled) deformed
#                              !  body with dotted lines
fem list node solution         #list the nodal displacements
fem list node reaction         #list the nodal reactions (forces)
fem list stress full           #list the element stresses
fem draw reaction scale 0.003  #draw (scaled) reaction (force) vectors
