fem define window
fem draw lines
refresh graphics
#
#inflation
#
set out;steps_inflate on

$NAME1 = "cylinder_def_00"
$NAME2 = "_active_0000"
$ITERS = 100
$TOL = 0.001

#
#increase cavity pressures incrementally 
#to simulate diastole.
#
for $PRESS ( 0..2 ) 
{

if ($PRESS < 1)
{
  $FILENAME = "${NAME1}0${PRESS}$NAME2"
  $INCREM = 0.0
} elsif ($PRESS < 10)
{
  $FILENAME = "${NAME1}0${PRESS}$NAME2"
  $INCREM = 0.4
} else
{
  $FILENAME = "${NAME1}${PRESS}$NAME2"
  $INCREM = 0.4
}
  fem solve increment $INCREM iter $ITERS error $TOL
  fem draw lines deformed dotted
  refresh graphics
  fem export nodes;$FILENAME field as cylinder
  fem export elements;$FILENAME field as cylinder
  fem define initial;w;$FILENAME
}
set out off
