#load 'Gen_plotheader.gnu'
#
#set terminal postscript eps enhanced color  "Helvetica" 20
set title "Muscle Fibre Orientation" 
set xlabel "Fibre Angle" 
set xrange [0:110]
set ylabel "Stress (kPa)"
set yrange [0:30]
set tics in
set border 15
#set nokey
#
PI=acos(-1)
degrees(x)=x*180/PI # convert radians to dregrees
#

plot \
"plot.dat" every 27::26 using 6:5 axes x1y1 title "ng=27 (9)" with lines 1,\
"plot.dat" every 27::23 using 6:5 axes x1y1 title "ng=24 (8)" with lines 2,\
"plot.dat" every 27::17 using 6:5 axes x1y1 title "ng=18 (6)" with lines 3
#"plot.dat" every 27::8 using 6:5 axes x1y1 title "ng=9 (3)" with lines 4


#plot \
#"plot.dat" every 27::2 using 6:5 axes x1y1 title "ng=3" with lines 3,\
#"plot.dat" every 27::5 using 6:5 axes x1y1 title "ng=6" with lines 6,\
#"plot.dat" every 27::8 using 6:5 axes x1y1 title "ng=9" with lines 9,\
#"plot.dat" every 27::11 using 6:5 axes x1y1 title "ng=12" with lines 12,\
#"plot.dat" every 27::14 using 6:5 axes x1y1 title "ng=15" with lines 15,\
#"plot.dat" every 27::17 using 6:5 axes x1y1 title "ng=18" with lines 18,\
#"plot.dat" every 27::20 using 6:5 axes x1y1 title "ng=21" with lines 21,\
#"plot.dat" every 27::23 using 6:5 axes x1y1 title "ng=24" with lines 24,\
#"plot.dat" every 27::26 using 6:5 axes x1y1 title "ng=27" with lines 27

pause -1 
