# Example 5c1
# Finite elasticity example with hanging nodes
#
# Hanging node in Xi 3
#

fem

fem def para;r;cube;example
fem define coordinate;r;cube;example
fem define node;r;cube;example           
fem define base;r;cube;example
fem define element;r;cube;example    
fem define fibre;d             
fem define element;r;cube;example fibre
fem define field;r;cube;example 
fem define element;r;cube;example field 

fem update node der  1 linear
fem update node der  2 linear
fem update node der  3 linear

#local refinement
#set diag on
fem refine xi 1 at 0.8
fem refine element 1 xi 3 at 0.8


fem define equation;r;cube;example     
fem define material;r;cube;example        
fem define active;r;cube;example
fem define initial;r;cube;example       
fem define solve;r;newton;example

fem solve step 1 iter 20 tol 0.001


fem update gauss stress
fem define fit;r;cube;example field gauss lock 
fem fit 


fem export nodes;test as test
fem export elem;test as test
fem export nodes;test_def field as test_def
fem export elem;test_def field as test_def
