fem de param;r;capillary;example   #defines parameters
fem de coor 3,1                    #defines co-ordinates
fem de regi;r;four;example         #defines 4 regions
fem de base;r;capillary;example    #defines 2-D and 3-D linear bases

fem de node;r;alveoli;example      #reads in alveolar mesh nodes 
fem de elem;r;alveoli;example      #and elements

fem export node;alveoli as alveoli #exports alveolar mesh
fem export elem;alveoli as alveoli

fem group elem 100..107,642..687 as alveolus1 #groups alveolar elements
fem group elem 151..158,642..648,688..727 as alveolus2
fem group elem 195..202,688..694,728..767 as alveolus3
fem group elem 238..245,728..734,768..807 as alveolus4
fem group elem 284..291,649..655,768..774,808..841 as alveolus5

fem export elem;1 as 1 elem alveolus1  #exports each alveolus element group 
fem export elem;2 as 2 elem alveolus2
fem export elem;3 as 3 elem alveolus3
fem export elem;4 as 4 elem alveolus4
fem export elem;5 as 5 elem alveolus5

fem de mesh;r;capillary;example reg 2  #creates capillary mesh on alveolar 
                                       #surface
fem export node;capillary as cap reg 2 #exports capillary mesh
fem export elem;capillary as cap reg 2

fem export node;centre as centre reg 3 #exports nodes on sphere

fem export node;delaunay as delaun reg 4 #exports delaunay nodes 
fem export elem;delaunay as delaun reg 4 #and elements

