$w=512;
$h=512;

gfx create window 1;
gfx modify window 1 layout width $w height $h;
gfx modify window 1 view parallel eye_point 1.58354 0.741054 -0.391233 interest_point 0.68472 0.49882 0.313143 up_vector 0.637865 -0.225569 0.736374 view_angle 26.188 near_clipping_plane 0.0116735 far_clipping_plane 4.17169 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;


gfx read node capillary;
gfx read elem capillary;
#gfx read elem solution
gfx read elem flow;
gfx read elem hematocrit;
gfx read elem diameter;

gfx define field flowsize mag field flow;

gfx create spectrum flow linear reverse range 0 0.80e-05 extend_above extend_below rainbow;

gfx modify g_element solution general clear circle_discretization 8 default_coordinate coordinates element_discretization "6*6*6" native_discretization none;
gfx mod g_e solution lines delete;
gfx mod g_e capillary lines delete;
gfx modify g_element solution cylinders radius_scalar diameter select_on material default data flowsize spectrum flow selected_material default_selected;
gfx modify spectrum flow clear overwrite_colour;
gfx modify spectrum flow linear reverse range 0 2.50e-05 extend_above extend_below rainbow colour_range 0 1 ambient diffuse component 1;

