# Example b123 - Single cell Noble 98 ionic current model

fem def para;r;n98;example

fem def no;d
fem def base;d
fem def elem;d
fem def grid;d
fem update grid geom
fem update grid metric

fem def equa;r;n98;example

fem def cell;r;n98;example
fem def mate;r;n98;example cell
fem def mate;r;n98;example
fem update grid material

fem def init;r;n98;example

fem def solv;r;n98;example

fem solve to 0

fem open history;test write variables yqs niqslist 1 binary

for $HUN ( 0..4 ) 
{
for $TEN ( 0..9 ) 
{
for $UNIT ( 0..9 ) 
{
#  Solve for the current time
fem solve restart to "${HUN}${TEN}$UNIT"

#  Write the membrane potential to the history file
fem write history time "${HUN}${TEN}$UNIT" variables yqs binary
}
}
}



#  Close the history file
fem close history binary

fem evaluate electrode;test history test from grid yqs iy 1 binary

fem define export;r;n98;example

fem export signal;test electrode signal test

if ($TESTING) {
    fem compare signal;test basis both masterfile $example/test comparefile test binary;
}
