gfx read node 3dcube
gfx read elem 3dcube
gfx read elem gridfield_1000

#Window Commands
#===============
gfx create window 1 double_buffer
gfx modify window 1 image scene default light_model default
gfx modify window 1 image add_light default
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 469 height 490
gfx modify window 1 set current_pane 1
gfx modify window 1 background colour 0 0 0
gfx modify window 1 view parallel eye_point 2.82909 -4.78968 4.615 interest_point 1 1 1 up_vector -0.120812 0.498005 0.858718 view_angle 40 near_clipping_plane 0.0706641 far_clipping_plane 25.2529 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1
gfx modify window 1 overlay scene none
gfx modify window 1 set transform current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency

gfx set visibility axes off

#Material Commands
#=================
gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material isosurface ambient 0.5 0.51 1 diffuse 0.5 0.5 1 emission 0.1 0.1 0.1 specular 0.1 0.1 0.1 alpha 1 shininess 0.5

#Spectrum Commands
#=================
gfx modify spectrum default clear overwrite_colour
gfx modify spectrum default linear reverse range -85.004 14.567 extend_above extend_below rainbow colour_range 0 1 ambient diffuse
## Create an appropriate spectrum
## Total Min. = -90, Total Max. =  50
gfx create spectrum potential log exaggeration 3 right reverse range -90 50 extend_above extend_below rainbow colour_range 0 1 ambient diffuse 

#Drawing Commands
#================

# Command updated by fixcom.sh on Wed Aug 23 17:49:58 NZT 2000
# Old command: gfx modify g_element cube general circle_discretization 6 default_coordinate default_coordinate element_discretization 12*12*12 native_discretization coordinates
gfx modify g_element cube general circle_discretization 6 default_coordinate default_coordinate element_discretization "12*12*12" native_discretization coordinates

gfx modify g_element cube lines material default

#gfx modify g_element cube surfaces exterior material default data potential spectrum default


# Command updated by fixcom.sh on Wed Aug 23 17:49:58 NZT 2000
# Old command: gfx modify g_element cube general circle_discretization 6 default_coordinate default_coordinate element_discretization 12*12*12 native_discretization potential
gfx modify g_element cube general circle_discretization 6 default_coordinate default_coordinate element_discretization "12*12*12" native_discretization potential


gfx modify g_element cube iso_surfaces iso_scalar potential iso_value 0 material isosurface


# Command updated by fixcom.sh on Wed Aug 23 17:49:58 NZT 2000
# Old command: gfx modify g_element cube element_points 3d glyph diamond size 0.1*0.1*0.1 discretization 1*1*1 native_discretization potential cell_corners material default data potential spectrum potential
gfx modify g_element cube element_points glyph diamond size "0.1*0.1*0.1" discretization "1*1*1" native_discretization potential cell_corners material default data potential spectrum potential


#Read in next time steps
#=======================


gfx update window 1

gfx movie create test.mv quicktime window 1
for my $time("1000".."1009") {
    gfx read element "gridfield_$time.exelem"
    gfx update window 1
    gfx movie add_frame
}
gfx movie end
	
# This has been outdated by perl - rgb 3/10/00
#gfx movie create test.qt quicktime window 1
#var set 1 1000
#var show 1
#open comfile movie execute 10
#gfx movie end

