fem define param;r;membrane

fem define node;r;square16x16        #define 289 nodes
fem define base;r;membrane           #set up membrane
fem define element;r;square16x16     #define 256 elements
fem define fibre;r;sq16x16-10-90-10
fem define window                    #create 2D xy window
#fem draw line                        !draw 4 mesh
#refresh graphics
#fem draw gauss                       !draw 3x3 gauss pts/element
 
fem define equation;r;stress class 1 lock    #define mechanics eqns
fem define material;r;membrane               #read params for mechs eqns
fem group node external as bdy_nodes        #all boundary nodes
#fem group node external xi1=0 as lhs_nodes  !nodes on left
#fem group node external xi1=1 as rhs_nodes  !nodes on right
#fem group node external xi2=0 as bot_nodes  !nodes at the bottom
#fem group node external xi2=1 as top_nodes  !nodes at the top
#fem define initial;r;prestress       !read i.c.s & b.c.s
fem define initial;r;fixed
fem define solve;r;membrane            #read solve params
fem define active;r;stress           #read active mechs params
#fem solve class 1 incr 1.           !prestress membrane (top&right+8mm)
fem draw line deformed               #draw new mesh
fem draw fibre def dxi 0.5,0.5,0.5 rgb=black
refresh graphics
 
fem define equation;r;vcdc-is class 2 #define activation eqns
fem define grid;c class 2 deformed    #calc metrics on deformed grid
fem define material;r;vcd class 2    #read params for activation eqn
fem update grid material class 2     #calc diffusivity tensor
fem group grid xi1=0 oneoff as lhs-line
fem group grid xi1=1 oneoff as rhs-line
fem group grid line 7873 xidirn 2 negative as cline
fem define initial;r;sq16x16-rhs-cline-v class 2  #read i.c.s & b.c.s
fem define solve;r;sq16x16 class 2   #read solve params
fem solve class 2 to 0
 
