# If the example path is not set, default to current directory
if (! defined $example) {
    $example = "./";
}
# Drop off the trailing / in the example path
$chopped = chop $example;
if ($chopped ne "/") {
    $example .= $chopped;
}
fem define parameters;r;$example/cellml;
fem define node;d;
fem define bas;d;
fem define elem;d;
fem define grid;d;
fem update grid geometry;
fem update grid metric;
fem define equation;r;$example/cellml;
fem define cell;r;$example/drouhard_roberge_model_1987;
fem define material;d cell;
fem define material;d;
fem update grid material;
fem define initial;d;
fem define solve;r;$example/lsoda;
fem solve to 0;
fem open history;drouhard_roberge_model_1987 write variables yqs niqslist 1..13 binary;
$Tend = 1500;
$dt = 1.0;
for ($time=0;$time<$Tend;$time+=$dt) {
    fem solve restart to $time;
    fem write history time $time variables yqs binary;
}
fem close history binary;
fem evaluate electrode;drouhard_roberge_model_1987 history drouhard_roberge_model_1987 from grid yqs iy 1..13 binary;
fem define export;r;$example/drouhard_roberge_model_1987;
fem export signal;drouhard_roberge_model_1987 electrodes signal drouhard_roberge_model_1987 names cell;
# For testing we compare the generated CMISS signal files
if ($TESTING) {
    fem compare signal;drouhard_roberge_model_1987 basis both masterfile $example/drouhard_roberge_model_1987 comparefile drouhard_roberge_model_1987 binary;
}
