if (! defined $example) {
    $example = "./";
}
$chopped = chop $example;
if ($chopped ne "/") {
    $example .= $chopped;
}

fem define parameters;r;$example/cellml;
fem define node;d;
fem define bas;d;
fem define elem;d;
fem define grid;d;
fem update grid geometry;
fem update grid metric;
fem define equation;r;$example/cellml;
fem define cell;r;$example/n_model_1962;
fem define material;d cell;
fem define material;d;
fem update grid material;
fem define initial;d;
fem define solve;r;$example/lsoda;
fem solve to 0;
fem open history;n_model_1962 write variables yqs niqslist 1..9 binary;
$Tend = 5000;
$dt = 5.0;
for ($time=0;$time<$Tend;$time+=$dt) {
    fem solve restart to $time;
    fem write history time $time variables yqs binary;
}
fem close history binary;
fem evaluate electrode;n_model_1962 history n_model_1962 from grid yqs iy 1..9 binary;
fem define export;r;$example/n_model_1962;
fem export signal;n_model_1962 electrodes signal n_model_1962 names cell;

# For testing we compare the generated CMISS signal files
if ($TESTING) {
    fem compare signal;n_model_1962 basis both masterfile $example/n_model_1962 comparefile n_model_1962 binary;
}
