# Example e2  
# ----------
#


fem def node;r;torsoslice;example            #Defines nodes for a 2D slice 
#                                            # through a torso and heart.
fem def window;c
fem def base;r;;example                      #Defines a cubic Hermite BEM basis
#                                            # function.
fem def elem;r;;example                      #Defines 17 elements.
fem draw nodes                               #Draws the nodes around the torso 
#                                            # and heart.
fem draw elements                            #Draws the elements.  Note that the
#                                            # elements lie around the boundary of
#                                            # the slice, not running 'through' it
#                                            # as they would with a FEM mesh.
fem draw lines                               #We can now see the outline of the 
#                                            # 2D slice.


#
#----------------------------#
# Setup equations
#----------------------------#
#
fem def equa;r;;example                      #Defines Laplace equation to be solved.
fem def mate;r;;example
fem def init;r;;example                      #The boundary conditions are defined 
#                                            # as x^2-y^2 on the heart, and no 
#                                            # flux on the body.
