#
# Illustrates host mesh customisation with tri-cubic Hermite basis functions.
#



open com /usr/people/cheng/cmgui_default exec 1


#
# The original and customised host mesh 
#
gfx read node;host
gfx read elem;host
gfx mod g_elem host cylinders constant_rad 5  mat gold
gfx mod g_elem host line invis

gfx read node;host_cust
gfx read elem;host_cust
gfx mod g_elem host_cust cylinders constant_rad 5  mat dgreen
gfx mod g_elem host_cust line invis

#
# Generic and Customised Models
#
gfx read node;pig_gen
gfx read elem;pig_gen
gfx mod g_elem pig_gen surf mat beige
gfx mod g_elem pig_gen line mat dgrey invis

gfx read node;pig_cust
gfx read elem skin
gfx mod g_elem skin surf mat ghost
gfx mod g_elem skin line mat dgrey


#
# The data points
#
gfx read data;gen_landmark
gfx mod g_elem gen_landmark data_points glyph sphere size 20 mat gold

gfx read data;p111_landmark
gfx mod g_el p111_landmark data_points glyph sphere size 1 size 20 mat dgreen

# Command updated by fixcom.sh on Wed Aug 23 17:50:27 NZT 2000
# Old command: gfx mod g_el p111_landmark data_points glyph cylinder size 2 orie error scale_fa 1*.1*.1 mat dred
gfx mod g_el p111_landmark data_points glyph cylinder size 2 orie error scale_fa "1*.1*.1" mat dred



#
# Comparison electrode locations
#
gfx read data;cust_error
gfx mod g_elem cust_error data_points size 5 mat green
gfx mod g_elem cust_error data_points glyph line centre -0.5,0,0 size 1 orien error mat pblue


open com /usr/people/cheng/cmgui_window exec 1
