#Example i22

$OUT='.'
if(!defined $example)
{
  $example='.'
}

$resolution = '2x4'
$resolution = '8x16'
$resolution = '4x8'

$interpolation = 'cubic'
$interpolation = 'linear'

fem define para;r;$example/torsotimedep
fem define coor 3,1
fem define base;r;$example/bi$interpolation
fem define node;r;$example/sphere_$resolution reg 1
fem define elem;r;$example/sphere_$resolution reg 1

#
# Export geometry
#
fem export node;$OUT/sphere  as sphere
fem export elem;$OUT/sphere  as sphere

#
# Setup problem
#
fem define equa;r;$example/laplace_$interpolation reg 1 class 1 lock
fem define mate;r;$example/laplace reg 1 class 1

#
# Solve and export potential due to a dipole
#
fem define sour;r;$example/dipole_true reg 1 class 1
fem de anal;r;$example/eccentricdipole reg 1 class 1
fem de init;g                 reg 1 class 1

fem define solv;r;$example/nosalu_$interpolation reg 1 class 1
fem solve reg 1 class 1
fem export node;$OUT/sphere_pot as sphere field
fem export elem;$OUT/sphere_pot as sphere field

#
# Evaluate input/recorded magnetic field
#
fem def data;r;$example/elec field num_field 3
fem eval solu mag from MFI nss 1
fem li matr matric MFI nss 1 value
fem up data field from MFI nss 1
fem export data;$OUT/input as input field_num 1..3 field_name mag

#
# Adjusted dipole
#
fem define sour;r;$example/dipole_guess reg 1 class 1
fem up source
fem de anal;r;$example/eccentricdipole  reg 1 class 1
fem de init;g                  reg 1 class 1
fem define solv;r;$example/nosalu_$interpolation reg 1 class 1
fem solve                      reg 1 class 1



