$EXPORT=1;
$DIPOLE=1;

$OUT="output";
$FORMAT="binary";

$MAGOFFSET=20000;
$POTOFFSET=20000;

if(!defined $example) 
{  
    $example='.' ;
    $OUT="output";
} else{
    $OUT=".";
}


fem def para;r;$example/torso_dipole
fem def coor 3,1;
fem def base;r;$example/bicubic_bilinear;

fem def node;r;$example/skin;
fem def elem;r;$example/skin_lin;

if($EXPORT)
{
    fem export node;$OUT/torso as torso;
    fem export elem;$OUT/skin  as skin;
}

#
# Group nodes for boundary conditions
#
fem group node 29      as FIXEDNODE;
fem group node 1,290   as SURFENDS;
fem group node 2..289  as SURFNORM;
$COMPNODES="1..290"

fem def equa;r;$example/laplace_nr1 reg all;
fem def mate;r;$example/mate_nr1    reg all;
fem def init;r;$example/noflux_nr1  reg all;
fem def sour;r;$example/dipole_known reg $DIPOLE;

if($EXPORT)
{
    fem exp sour;$OUT/dipole_known as dipole_known;
}

fem def solv;r;$example/static_nr1 reg all;


#
# Electrodes and sensors
#
fem def data;r;$example/electrodes_mag field num_field 3;
fem def xi;c close;
fem exp data;$OUT/electrodes_mag as electrodes_mag offset $MAGOFFSET;

