
$TSTART="0"
$TEND="3.1"
$TSTEP=1
$FREQ=1

for ($TIME=$TSTART;$TIME<=$TEND;$TIME+=$TSTEP)
{
  printf("*** Dipole solve at time= $TIME\n")
  printf("*********************************\n")
  fem up sour reg $DIPOLE time $TIME
  fem solve at $TIME
  fem up phi tstart $TIME tend $TIME from data phi #data electrodes

  printf("\n\n")
  printf("*** Magnetic solve at time= $TIME\n")
  printf("*********************************\n")
  fem eval solu mag from MFI nss 1 time $TIME frequency $FREQ 
  fem up data field from MFI nss 1 time $TIME frequency $FREQ
  fem export data;$OUT/mfi_known_$TIME as mfi_known field_num 1..3 field_name mag offset $MAGOFFSET
} 

#
# store matrices of potential/magnetic fields
#
fem write matr;$OUT/mfi matri MFI ascii
fem write matr;$OUT/phi matri PHI ascii # data points


